نقطه پایانی API
https://je7.ir/api/v1/spaces
نمونه درخواست
curl --location --request GET 'https://je7.ir/api/v1/spaces' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name برای نام. مقدار پیشفرض: name.
sort_by
id برای تاریخ ایجاد, name برای نام. مقدار پیشفرض: id.
sort
desc برای نزولی, asc برای صعودی. مقدار پیشفرض: desc.
per_page
10, 25, 50, 100. مقدار پیشفرض: 10.
نقطه پایانی API
https://je7.ir/api/v1/spaces/{id}
نمونه درخواست
curl --location --request GET 'https://je7.ir/api/v1/spaces/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
نقطه پایانی API
https://je7.ir/api/v1/spaces
نمونه درخواست
curl --location --request POST 'https://je7.ir/api/v1/spaces' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}'
Parameters
name
color
1, 2, 3, 4, 5, 6. مقدار پیشفرض: 1.
نقطه پایانی API
https://je7.ir/api/v1/spaces/{id}
نمونه درخواست
curl --location --request PUT 'https://je7.ir/api/v1/spaces/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
color
1, 2, 3, 4, 5, 6.
نقطه پایانی API
https://je7.ir/api/v1/spaces/{id}
نمونه درخواست
curl --location --request DELETE 'https://je7.ir/api/v1/spaces/{id}' \ --header 'Authorization: Bearer {api_key}'